#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		halpolicydir	%{_datadir}/hal/fdi/policy/20thirdparty
#-----------------------------------------------------------------------------
Name		:	apcupsd
Version		:	3.14.14
Release		:	14.8.0.0%{?dist}
Summary		:	APC UPS Power Control Daemon for Linux
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://www.apcupsd.org/

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	sysvinit
BuildRequires	:	lfs-bootscripts
BuildRequires	:	osukiss-release

Requires	:	sysvinit
Requires	:	lfs-bootscripts
Requires	:	chkconfig
#-----------------------------------------------------------------------------
%description
Apcupsd can be used for controlling most APC UPSes. During a
power failure, apcupsd will inform the users about the power
failure and that a shutdown may occur.  If power is not restored,
a system shutdown will follow when the battery is exausted, a
timeout (seconds) expires, or the battery runtime expires based
on internal APC calculations determined by power consumption
rates.  If the power is restored before one of the above shutdown
conditions is met, apcupsd will inform users about this fact.
Some features depend on what UPS model you have (simple or smart).
This package is configured for USB but can be reconfigured for
standard serial port UPS models. See the manual.

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
        --bindir=%{_bindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-cgi					\
	--enable-net					\
	--enable-snmp					\
	--enable-usb					\
	--with-upstype=usb				\
	--with-upscable=usb				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__cp}							\
	%{name}-ok_addon/%{name}			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d

%files			
%defattr(-,root,root,-)
%doc COPYING
%{_sbindir}/%{name}
%{_sbindir}/apcaccess
%{_sbindir}/apctest
%{_sbindir}/smtp
%{_sysconfdir}/%{name}/*
%{_sysconfdir}/rc.d/init.d/%{name}
%{_sysconfdir}/rc.d/init.d/halt
%{_sysconfdir}/rc.d/init.d/halt.old
%{halpolicydir}/80-apcupsd-ups-policy.fdi
%{_mandir}/man5/%{name}.conf.5.gz
%{_mandir}/man8/apc*.8.gz

%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name} stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del %{name}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%post
/sbin/chkconfig --add %{name}

%changelog
